Package org.apache.sysds.utils.stats

# Class CodegenStatistics

java.lang.Object
org.apache.sysds.utils.stats.CodegenStatistics

public class CodegenStatistics extends Object

## Constructor Summary

Constructors
Constructor
Description
`CodegenStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`displayStatistics()`
`static long`
`getClassCompile()`
`static long`
`getClassCompileTime()`
`static long`
`getCompileTime()`
`static long`
`getCPlanCompile()`
`static long`
`getDAGCompile()`
`static long`
`getEnumAll()`
`static long`
`getEnumAllP()`
`static long`
`getEnumEval()`
`static long`
`getEnumEvalP()`
`static long`
`getOpCacheHits()`
`static long`
`getOpCacheTotal()`
`static long`
`getPlanCacheHits()`
`static long`
`getPlanCacheTotal()`
`static void`
`incrementClassCompile()`
`static void`
`incrementClassCompileTime(long delta)`
`static void`
`incrementCompileTime(long delta)`
`static void`
`incrementCPlanCompile(long delta)`
`static void`
`incrementDAGCompile()`
`static void`
`incrementEnumAll(long delta)`
`static void`
`incrementEnumAllP(long delta)`
`static void`
`incrementEnumEval(long delta)`
`static void`
`incrementEnumEvalP(long delta)`
`static void`
`incrementOpCacheHits()`
`static void`
`incrementOpCacheTotal()`
`static void`
`incrementPlanCacheHits()`
`static void`
`incrementPlanCacheTotal()`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodegenStatistics

public CodegenStatistics()

## Method Details

### incrementDAGCompile

public static void incrementDAGCompile()

### incrementCPlanCompile

public static void incrementCPlanCompile(long delta)

### incrementEnumAll

public static void incrementEnumAll(long delta)

### incrementEnumAllP

public static void incrementEnumAllP(long delta)

### incrementEnumEval

public static void incrementEnumEval(long delta)

### incrementEnumEvalP

public static void incrementEnumEvalP(long delta)

### incrementClassCompile

public static void incrementClassCompile()

### incrementCompileTime

public static void incrementCompileTime(long delta)

### incrementClassCompileTime

public static void incrementClassCompileTime(long delta)

### incrementOpCacheHits

public static void incrementOpCacheHits()

### incrementOpCacheTotal

public static void incrementOpCacheTotal()

### incrementPlanCacheHits

public static void incrementPlanCacheHits()

### incrementPlanCacheTotal

public static void incrementPlanCacheTotal()

### getDAGCompile

public static long getDAGCompile()

### getCPlanCompile

public static long getCPlanCompile()

### getEnumAll

public static long getEnumAll()

### getEnumAllP

public static long getEnumAllP()

### getEnumEval

public static long getEnumEval()

### getEnumEvalP

public static long getEnumEvalP()

### getClassCompile

public static long getClassCompile()

### getCompileTime

public static long getCompileTime()

### getClassCompileTime

public static long getClassCompileTime()

### getOpCacheHits

public static long getOpCacheHits()

### getOpCacheTotal

public static long getOpCacheTotal()

### getPlanCacheHits

public static long getPlanCacheHits()

### getPlanCacheTotal

public static long getPlanCacheTotal()

### reset

public static void reset()

### displayStatistics

public static String displayStatistics()